> ## Documentation Index
> Fetch the complete documentation index at: https://gnosispay-feat-v2-auth-module.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Card

> Cancels a card permanently. Once canceled, the card cannot be reactivated. A new card must be issued. The card must belong to the authenticated user's cardholder.



## OpenAPI

````yaml https://gp-auth-module.prod.gnosispay.com/openapi.json post /cards/{cardId}/cancel
openapi: 3.0.0
info:
  version: 1.0.0
  title: SIWE Authentication API
  description: Sign In With Ethereum authentication service
servers:
  - url: https://gp-auth-module.prod.gnosispay.com
    description: API server
security: []
paths:
  /cards/{cardId}/cancel:
    post:
      tags:
        - Cards
      summary: Cancel Card
      description: >-
        Cancels a card permanently. Once canceled, the card cannot be
        reactivated. A new card must be issued. The card must belong to the
        authenticated user's cardholder.
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: cardId
          in: path
      responses:
        '204':
          description: Card canceled successfully
        '400':
          description: Bad Request - User has no cardholder
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationOrError'
        '401':
          description: Unauthorized - Invalid JWT
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found - User or card not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error - Failed to cancel card
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - Bearer: []
components:
  schemas:
    ValidationOrError:
      anyOf:
        - $ref: '#/components/schemas/ValidationError'
        - $ref: '#/components/schemas/Error'
    Error:
      type: object
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
      required:
        - success
        - error
    ValidationError:
      type: object
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: object
          properties:
            name:
              type: string
              enum:
                - ValidationError
            message:
              type: string
          required:
            - name
            - message
      required:
        - success
        - error

````